import java.util.HashMap;
import java.util.Map;

public class CourseRepository implements ICourseRepository {
    private Map<String, Course> courses = new HashMap<>();

    @Override
    public void addCourse(Course course) {
        courses.put(course.getCode(), course);
    }

    @Override
    public Course getByCode(String code) {
        return courses.get(code);
    }

}
